Bug 138917 - translation without accent in pt_br
translation without accent in pt_br
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Barzilay
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-11 17:17 EST by marlon bastida
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: FC3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-11-14 23:48:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description marlon bastida 2004-11-11 17:17:16 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041020
Firefox/0.10.1

Description of problem:
Translation of message in portuguese br (Desligando servi�os de mouse)
--> stopping mouse services appear without accent

Version-Release number of selected component (if applicable):
initscripts-7.93.5-1

How reproducible:
Always

Steps to Reproduce:
1.halt system

    

Actual Results:  same

Expected Results:  show Desligando servi�os de mouse

(�)

Additional info:
Comment 1 David Barzilay 2004-11-14 23:48:35 EST
latest package translation seems to be integrated to FC3
Comment 2 marlon bastida 2004-11-15 16:15:19 EST
Well, I see but for me doenst show with accents. Im looking my message
above and doenst have accents too, I don't know what is. Is it a
problem with unicode? :(
Comment 3 David Barzilay 2004-11-15 18:55:37 EST
dear marlon, can you please point which are the words you see with no
accents? i might be able to track the strings...
Comment 4 marlon bastida 2004-11-18 16:36:02 EST
The words without accent are in this phrase "Desligando serviços de mouse"

The accent or mark is c with cedilla signal in this phrase above.
Between the words i and o in the word serviço 

http://en.wikipedia.org/wiki/Cedilla

Tks for continuous support!
Comment 5 David Barzilay 2004-11-22 00:57:38 EST
marlon, we need a few more info on your system:
. what's the font name you are using?
. did you change the system font after FC3 install?
. FC3 version
. initscript version
. xorg-x11 version

thx!
Comment 6 Leon Ho 2004-11-22 02:34:31 EST
I can see "Desligando serviços do mouse no console" when I do service
gpm stop in pt_BR.UTF-8 environment.

1. Do you see it the problem in console? Does it shows the accent if
you do:
# service gpm stop
in gnome-terminal?

2. If yes, do you have following line in /etc/sysconfig/i18n?
SYSFONT="latarcyrheb-sun16"

3. What is your locale?

4. Finally, does msgunfmt
/usr/share/locale/pt_BR/LC_MESSAGES/initscripts.mo | grep "os do
mouse" show the entry?
Comment 7 marlon bastida 2004-11-22 14:13:50 EST
about David comments:

1)system font:latarcyrheb-sun16
2)I didn't change any fonts after install.
3)FC3 final (fresh install) -- kernel 2.6.9-1.681_FC3 (now)
4)initscripts-7.93.5-1
5)xorg files - version 6.8.1-12.FC3.1
xorg-x11-libs-6.8.1-12.FC3.1
xorg-x11-xauth-6.8.1-12.FC3.1
xorg-x11-tools-6.8.1-12.FC3.1
xorg-x11-Mesa-libGL-6.8.1-12.FC3.1
xorg-x11-Mesa-libGLU-6.8.1-12.FC3.1
xorg-x11-xfs-6.8.1-12.FC3.1
xorg-x11-twm-6.8.1-12.FC3.1
xorg-x11-font-utils-6.8.1-12.FC3.1
xorg-x11-6.8.1-12.FC3.1
xorg-x11-xdm-6.8.1-12.FC3.1

About Leon comments:

1) Doing #service gpm stop         , on gnome-terminal show
Desligando serviços do mouse no console:                   [  OK  ]
It's ok here.

2) Yes, it has.

LANG="pt_BR.UTF-8"
SUPPORTED="en_US.UTF-8:en_US:en:pt_BR.UTF-8:pt_BR:pt"
SYSFONT="latarcyrheb-sun16"

3) Doing #locale

LANG=pt_BR.UTF-8
LC_CTYPE="pt_BR.UTF-8"
LC_NUMERIC="pt_BR.UTF-8"
LC_TIME="pt_BR.UTF-8"
LC_COLLATE="pt_BR.UTF-8"
LC_MONETARY="pt_BR.UTF-8"
LC_MESSAGES="pt_BR.UTF-8"
LC_PAPER="pt_BR.UTF-8"
LC_NAME="pt_BR.UTF-8"
LC_ADDRESS="pt_BR.UTF-8"
LC_TELEPHONE="pt_BR.UTF-8"
LC_MEASUREMENT="pt_BR.UTF-8"
LC_IDENTIFICATION="pt_BR.UTF-8"
LC_ALL=

4) Doing:
#msgunfmt /usr/share/locale/pt_BR/LC_MESSAGES/initscripts.mo | grep
"os do mouse"

msgstr "Desligando serviços do mouse no console: "
msgstr "Iniciando serviços do mouse no console: "

It's ok here too.
------------------------

Well,  after this I did:

On gnome-terminal 
#halt  
And show the phrase without accent    :(

Desligando serviĀ§os de mouse (exactly equal, with this simbols in the
place of c with cedilla)

Finally I tried with  #reboot and show the same way.

I hope this info help you... :p

Tks!

Note You need to log in before you can comment on or make changes to this bug.